Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.util
Class DeltaNormPlugIn

    java.lang.Object
      org.joone.util.AbstractConverterPlugIn
          org.joone.util.ConverterPlugIn
              org.joone.util.DeltaNormPlugIn

All Implemented Interfaces:
  java.io.Serializable, PlugInListener

    public class DeltaNormPlugIn

extends ConverterPlugIn

This plugin calculates the Delta Normalization on a time series. the Delta Normalization technique permits to feed a neural network with the delta values instead of the absolute values of the series, permitting in this manner to avoid the problems correlated with both ascending and descending trends. The normalization is obtained by dividing the delta value by the dynamic range (named Probability Volatility Windows) calculated on the given period. This plugin is very useful for financial predictions when used in combination with the MinMaxExtractorPlugin. To learn more on this technique read the excellent book: "Financial Prediction Using Neural Networks" by Joseph S. Zirilli (you can buy it in electronic format at http://www.mjfutures.com/Book.htm)

Author:
  P.Marrone
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.joone.util.AbstractConverterPlugIn
`pluginListeners`

Constructor Summary
`DeltaNormPlugIn()` Creates a new instance of DeltaNormPlugin

Method Summary
`protected double` | `calculatePVW(int delay, int serie)`
`protected boolean` | `convert(int serie)` Applies the conversion on the Nth serie of the buffered pattern data.
`protected double` | `funcDelta(int index, int delay, int serie)` Calculates f(i,delay) used by getDelta >>>> This method can be overriden in order to implement different volatility window algorithms
`protected double` | `getDelta(int index, int delay, int serie, boolean abs)`

Methods inherited from class org.joone.util.ConverterPlugIn
`isApplyEveryCycle, newCycle, setApplyEveryCycle`

Methods inherited from class org.joone.util.AbstractConverterPlugIn
`addPlugIn, addPlugInListener, apply, applyOnColumns, applyOnRows, cascade, check, convertPatterns, dataChanged, fireDataChanged, getAdvancedSerieSelector, getInputVector, getName, getNextPlugIn, getPluginListeners, getSerieIndexNumber, getSerieSelected, getValuePoint, isConnected, removeAllPlugIns, removePlugInListener, setAdvancedSerieSelector, setConnected, setInputVector, setName, setNextPlugin, setNextPlugIn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeltaNormPlugIn

    public DeltaNormPlugIn()

  Creates a new instance of DeltaNormPlugin

Method Detail

### convert

    protected boolean convert(int serie)

  Description copied from class: `AbstractConverterPlugIn`
  Applies the conversion on the Nth serie of the buffered pattern data. The method is abstract and should be overridden by the implementing class. Implementing classes can obtain the input patterns by calling the `AbstractConverterPlugIn.getInputVector()` method. The result is a `Vector` of `Pattern` objects which this method should use by converting the requested serie.

  Specified by:
    `convert` in class `AbstractConverterPlugIn`
  Parameters:
    `serie` - the serie to convert

### calculatePVW

    protected double calculatePVW(int delay,
                                  int serie)

### getDelta

    protected double getDelta(int index,
                              int delay,
                              int serie,
                              boolean abs)

### funcDelta

    protected double funcDelta(int index,
                               int delay,
                               int serie)

  Calculates f(i,delay) used by getDelta >>>> This method can be overriden in order to implement different volatility window algorithms

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net